
Figure - Bug #117106
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开应用小窗，切换至mini模式，上划关闭，在recent中点击该应用卡片右上角
的小窗按钮，mini小窗部分显示在屏幕顶部
2023-03-23 14:16 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-23

Priority: Normal Due date: 2023-03-31

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 在Task销毁时没有把config里面设置的bounds导致的

Description

【测试步骤】

1、打开应用小窗

2、切换至mini模式

3、上划关闭

4、在recent中点击该应用卡片右上角的小窗按钮

【预期结果】

4、小窗重新打开在默认位置默认状态

【实际结果】

4、mini小窗部分显示在屏幕顶部

History

#1 - 2023-03-28 10:36 - CD FW-鲁凯峰

- Due date set to 2023-03-31

#2 - 2023-03-28 10:45 - CD FW-鲁凯峰

finish小窗后,没有还原Bounds导致的,后续再改

#3 - 2023-03-29 14:15 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

#4 - 2023-03-29 14:16 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 在Task销毁时没有把config里面设置的bounds导致的

■ Current conclusion

问题已经解决
■ My analysis

产生问题的原因是由于在Task销毁时没有把config里面设置的bounds导致的

解决方法就是在Task销毁时把config还原成默认状态

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/190536

#5 - 2023-04-01 15:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

4.1

验证通过

#6 - 2023-04-01 15:38 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
